summaryrefslogtreecommitdiffstats
path: root/graphics/openscad
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2013-05-12 22:11:26 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-05-12 22:11:26 -0300
commit6e1b54f1668feb35639679fd72e4f6a87603df7b (patch)
tree711a1def6407826557bb15d917dbc200f2f5f14f /graphics/openscad
parentf6dcb81c56730f00d103640aedb8117d59240dbc (diff)
downloadslackbuilds-6e1b54f1668feb35639679fd72e4f6a87603df7b.tar.gz
slackbuilds-6e1b54f1668feb35639679fd72e4f6a87603df7b.tar.xz
graphics/openscad: Added (CAD software for solid 3D objects)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'graphics/openscad')
-rw-r--r--graphics/openscad/README4
-rw-r--r--graphics/openscad/doinst.sh3
-rw-r--r--graphics/openscad/openscad.SlackBuild97
-rw-r--r--graphics/openscad/openscad.info10
-rw-r--r--graphics/openscad/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/graphics/openscad/README b/graphics/openscad/README
new file mode 100644
index 0000000000..ffa078db25
--- /dev/null
+++ b/graphics/openscad/README
@@ -0,0 +1,4 @@
+OpenSCAD is CAD software for creating solid 3D objects. It is not an
+interactive modeller. Instead it is something like a 3D-compiler that reads
+in a script file that describes an object and renders the 3D model from
+the script file.
diff --git a/graphics/openscad/doinst.sh b/graphics/openscad/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/openscad/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/openscad/openscad.SlackBuild b/graphics/openscad/openscad.SlackBuild
new file mode 100644
index 0000000000..6dead2aa06
--- /dev/null
+++ b/graphics/openscad/openscad.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for OpenSCAD
+
+# Copyright 2013 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openscad
+VERSION=${VERSION:-2013.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake -recursive openscad.pro \
+ PREFIX=/usr \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man
+cp doc/openscad.1 $PKG/usr/man
+gzip -9 $PKG/usr/man/openscad.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.md RELEASE_NOTES doc/*.pdf doc/TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/openscad/openscad.info b/graphics/openscad/openscad.info
new file mode 100644
index 0000000000..5dd102c9fe
--- /dev/null
+++ b/graphics/openscad/openscad.info
@@ -0,0 +1,10 @@
+PRGNAM="openscad"
+VERSION="2013.01"
+HOMEPAGE="http://www.openscad.org/"
+DOWNLOAD="https://openscad.googlecode.com/files/openscad-2013.01.src.tar.gz"
+MD5SUM="8dddc3dcee7d67f32557b6abaec7f0e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="CGAL OpenCSG eigen3"
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/graphics/openscad/slack-desc b/graphics/openscad/slack-desc
new file mode 100644
index 0000000000..88e795914c
--- /dev/null
+++ b/graphics/openscad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openscad: openscad (CAD software for creating solid 3D objects)
+openscad:
+openscad: OpenSCAD is not an interactive modeller. Instead it is something like
+openscad: a 3D-compiler that reads in a script file that describes an object
+openscad: and renders the 3D model from the script file.
+openscad:
+openscad: Homepage: http://www.openscad.org/
+openscad:
+openscad:
+openscad:
+openscad: